t4_tiff_state_t Struct Reference

`#include <t4_rx.h>`

## Public Attributes

const char * | file
| The current file name.
TIFF * | tiff_file
| The libtiff context for the current TIFF file.
t4_rx_metadata_t | metadata
int32_t | output_compression
| The compression type for output to the TIFF file.
uint16_t | photo_metric
| The TIFF photometric setting for the current page.
uint16_t | fill_order
| The TIFF fill order setting for the current page.
int32_t | output_t4_options
| The TIFF G3 FAX options.
int | pages_in_file
| The number of pages in the current image file.
int | start_page
| The first page to transfer. -1 to start at the beginning of the file.
int | stop_page
| The last page to transfer. -1 to continue to the end of the file.

## Detailed Description

TIFF specific state information to go with T.4 compression or decompression handling.

The documentation for this struct was generated from the following file:

- private/t4_rx.h